Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Queue/SelfTest/src/top_usage.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Queue/SelfTest/src/top_usage.cpp	(revision 113)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Queue/SelfTest/src/top_usage.cpp	(revision 113)
@@ -0,0 +1,28 @@
+/*
+ * $Id$
+ *
+ * [ Description ]
+ * 
+ */
+
+#include "Behavioural/Generic/Queue/SelfTest/include/top.h"
+
+void top::usage 
+(
+#ifdef MTI_SYSTEMC
+ int argc, const char * const * argv
+#else
+ int argc, char * argv[]
+#endif
+ )
+{
+  msgError (_("<Usage> %s name_instance list_params.\n"),argv[0]);
+  msgError (_("list_params is :\n"));
+  msgError (_(" * size_queue      (uint32_t)\n"));
+  msgError (_(" * size_data       (uint32_t)\n"));
+  msgError (_(" * nb_port_slot    (uint32_t)\n"));
+  msgError (_(" * have_port_write (bool    )\n"));
+  msgError (_(" * have_port_read  (bool    )\n"));
+
+  exit (1);
+}
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Queue/src/Parameters.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Queue/src/Parameters.cpp	(revision 112)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Queue/src/Parameters.cpp	(revision 113)
@@ -21,4 +21,5 @@
                           bool     have_port_ptr_write,
                           bool     have_port_ptr_read ):
+    behavioural::Parameters("Queue"),
     _size_queue          (size_queue),
     _size_data           (size_data ),
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Queue/src/Queue.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Queue/src/Queue.cpp	(revision 112)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Queue/src/Queue.cpp	(revision 113)
@@ -33,13 +33,13 @@
     ,_usage            (usage)
   {
-    log_printf(FUNC,Queue,FUNCTION,"Begin");
+    log_begin(Queue,FUNCTION);
+    
+// #if DEBUG_Core == true
+//     log_printf(INFO,Core,FUNCTION,_("<%s> Parameters"),_name.c_str());
 
-#if DEBUG_Core == true
-    log_printf(INFO,Core,FUNCTION,_("<%s> Parameters"),_name.c_str());
+//     std::cout << *param << std::endl;
+// #endif    
 
-    std::cout << *param << std::endl;
-#endif    
-
-    log_printf(INFO,Queue,FUNCTION,"Allocation");
+    log_printf(INFO,Queue,FUNCTION,_("<%s> Allocation"),_name.c_str());
     allocation ();
 
@@ -47,5 +47,5 @@
     if (usage_is_set(_usage,USE_STATISTICS))
       {	
-	log_printf(INFO,Queue,FUNCTION,"Allocation of statistics");
+	log_printf(INFO,Queue,FUNCTION,_("<%s> Allocation of statistics"),_name.c_str());
 	
 	statistics_declaration(param_statistics);
@@ -57,5 +57,5 @@
       {
 	// generate the vhdl
-	log_printf(INFO,Queue,FUNCTION,"Generate the vhdl");
+	log_printf(INFO,Queue,FUNCTION,_("<%s> Generate the vhdl"),_name.c_str());
 	
 	vhdl();
@@ -66,5 +66,5 @@
     if (usage_is_set(_usage,USE_SYSTEMC))
       {
-	log_printf(INFO,Queue,FUNCTION,"Method - transition");
+	log_printf(INFO,Queue,FUNCTION,_("<%s> Method - transition"),_name.c_str());
 	
 	SC_METHOD (transition);
@@ -76,5 +76,5 @@
 # endif    
 	
-	log_printf(INFO,Queue,FUNCTION,"Method - genMoore");
+	log_printf(INFO,Queue,FUNCTION,_("<%s> Method - genMoore"),_name.c_str());
 	
 	SC_METHOD (genMoore);
@@ -88,5 +88,5 @@
 #endif
       }
-    log_printf(FUNC,Queue,FUNCTION,"End");
+    log_end(Queue,FUNCTION);
   };
   
@@ -95,10 +95,10 @@
   Queue::~Queue (void)
   {
-    log_printf(FUNC,Queue,FUNCTION,"Begin");
+    log_begin(Queue,FUNCTION);
 
 #ifdef STATISTICS
     if (usage_is_set(_usage,USE_STATISTICS))
       {
-	log_printf(INFO,Queue,FUNCTION,"Generate Statistics file");
+	log_printf(INFO,Queue,FUNCTION,_("<%s> Generate Statistics file"),_name.c_str());
 	
 	delete _stat;
@@ -106,8 +106,8 @@
 #endif
 
-    log_printf(INFO,Queue,FUNCTION,"Deallocation");
+    log_printf(INFO,Queue,FUNCTION,_("<%s> Deallocation"),_name.c_str());
     deallocation ();
 
-    log_printf(FUNC,Queue,FUNCTION,"End");
+    log_end(Queue,FUNCTION);
   };
 
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Queue/src/Queue_allocation.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Queue/src/Queue_allocation.cpp	(revision 112)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Queue/src/Queue_allocation.cpp	(revision 113)
@@ -9,10 +9,8 @@
 #include "Behavioural/include/Allocation.h"
 
-namespace morpheo                    {
+namespace morpheo {
 namespace behavioural {
 namespace generic {
 namespace queue {
-
-
 
 #undef  FUNCTION
@@ -25,5 +23,5 @@
 
     Entity * entity = _component->set_entity (_name       
-					      ,"Queue"
+					      ,_param->_type
 #ifdef POSITION
 					      ,COMBINATORY 
@@ -111,5 +109,4 @@
 }; // end namespace queue
 }; // end namespace generic
-
 }; // end namespace behavioural
 }; // end namespace morpheo              
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Queue/src/Queue_deallocation.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Queue/src/Queue_deallocation.cpp	(revision 112)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Queue/src/Queue_deallocation.cpp	(revision 113)
@@ -21,8 +21,8 @@
     log_printf(FUNC,Queue,FUNCTION,"Begin");
 
-    if (usage_is_set(_usage,USE_SYSTEMC))
+//     if (usage_is_set(_usage,USE_SYSTEMC))
       { 
-	delete    in_CLOCK ;
-	delete    in_NRESET;
+        DELETE0_SIGNAL( in_CLOCK ,1);
+        DELETE0_SIGNAL( in_NRESET,1);
 
         DELETE0_SIGNAL( in_INSERT_VAL                        ,1);
@@ -41,6 +41,9 @@
         if (_param->_have_port_ptr_read )
         DELETE0_SIGNAL(out_PTR_READ    ,_param->_size_ptr);
+      }
 	
-        // ~~~~~[ Component ]~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~    
+      if (usage_is_set(_usage,USE_SYSTEMC))
+      { 
+        // ~~~~~[ Component ]~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~    
         delete _queue_control;
         delete _queue_data;
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Queue/src/Queue_statistics_declaration.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Queue/src/Queue_statistics_declaration.cpp	(revision 112)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Queue/src/Queue_statistics_declaration.cpp	(revision 113)
@@ -21,5 +21,5 @@
 
     _stat = new Stat (static_cast<std::string>(_name),
-                      "Queue",
+                      _param->_type,
                       param_statistics);
     
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Queue_Control/Makefile
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Queue_Control/Makefile	(revision 112)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Queue_Control/Makefile	(revision 113)
@@ -8,12 +8,14 @@
 
 #-----[ Directory ]----------------------------------------
-DIR_MORPHEO			= ../../..
+DIR_COMPONENT			= ./
+include				$(DIR_COMPONENT)/Makefile.defs
 
 #-----[ Library ]------------------------------------------
 LIBRARY				= $(DIR_LIB)/libQueue_Control.a
 
+
 #-----[ include ]------------------------------------------
 
-all				: $(LIBRARY_NEED)
+all				:
 				@$(MAKE) all_component
 
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Queue_Control/Makefile.defs
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Queue_Control/Makefile.defs	(revision 113)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Queue_Control/Makefile.defs	(revision 113)
@@ -0,0 +1,13 @@
+# 
+# $Id$
+# 
+# [ Description ]
+# 
+# Makefile
+# 
+
+ENTITY				= Queue_Control
+
+#-----[ Directory ]----------------------------------------
+DIR_COMPONENT_MORPHEO		= ../../..
+DIR_MORPHEO			= $(DIR_COMPONENT)/$(DIR_COMPONENT_MORPHEO)
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Queue_Control/Makefile.deps
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Queue_Control/Makefile.deps	(revision 112)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Queue_Control/Makefile.deps	(revision 113)
@@ -2,5 +2,5 @@
 # $Id$
 # 
-# [ Description ]
+# [ Description ]
 # 
 # Makefile
@@ -8,18 +8,28 @@
 # DIR_MORPHEO must be defined
 
-Queue_Control			= yes
+Queue_Control  	   		= yes
 
-#-----[ Library ]------------------------------------------
-Queue_Control_LIBRARY		= -lQueue_Control
+ifndef Behavioural
+include 			$(DIR_MORPHEO)/Behavioural/Makefile.deps
+endif
 
-Queue_Control_DIR_LIBRARY	= -L$(DIR_MORPHEO)/Behavioural/Generic/Queue_Control/lib
+#-----[ Library ]------------------------------------------
+Queue_Control_LIBRARY		= 	-lQueue_Control	\
+				$(Behavioural_LIBRARY)	
 
-#-----[ Rules ]--------------------------------------------
+Queue_Control_DIR_LIBRARY	=	-L$(DIR_MORPHEO)/Behavioural/Generic/Queue_Control/lib	\
+				$(Behavioural_DIR_LIBRARY)
+
+#-----[ Rules ]--------------------------------------------
+
+#.NOTPARALLEL			: Queue_Control_library Queue_Control_library_clean
 
 Queue_Control_library		:
 				@\
-				$(MAKE) --directory=$(DIR_MORPHEO)/Behavioural/Generic/Queue_Control --makefile=Makefile ;
-	
+				$(MAKE) Behavioural_library;\
+				$(MAKE) --directory=$(DIR_MORPHEO)/Behavioural/Generic/Queue_Control --makefile=Makefile;
+
 Queue_Control_library_clean	:
 				@\
+				$(MAKE) Behavioural_library_clean;\
 				$(MAKE) --directory=$(DIR_MORPHEO)/Behavioural/Generic/Queue_Control --makefile=Makefile clean;
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/RegisterFile/Makefile.defs
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/RegisterFile/Makefile.defs	(revision 112)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/RegisterFile/Makefile.defs	(revision 113)
@@ -2,10 +2,12 @@
 # $Id$
 # 
-# [ Description ]
+# [ Description ]
 # 
 # Makefile
 # 
 
-#-----[ Directory ]----------------------------------------
+ENTITY                          = RegisterFile
+
+#-----[ Directory ]----------------------------------------
 DIR_COMPONENT_MORPHEO		= ../../..
 DIR_MORPHEO			= $(DIR_COMPONENT)/$(DIR_COMPONENT_MORPHEO)
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/RegisterFile/RegisterFile_Monolithic/Makefile.defs
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/RegisterFile/RegisterFile_Monolithic/Makefile.defs	(revision 112)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/RegisterFile/RegisterFile_Monolithic/Makefile.defs	(revision 113)
@@ -2,10 +2,12 @@
 # $Id$
 # 
-# [ Description ]
+# [ Description ]
 # 
 # Makefile
 # 
 
-#-----[ Directory ]----------------------------------------
+ENTITY                          = RegisterFile_Monolithic
+
+#-----[ Directory ]----------------------------------------
 DIR_COMPONENT_MORPHEO		= ../../../..
 DIR_MORPHEO			= $(DIR_COMPONENT)/$(DIR_COMPONENT_MORPHEO)
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/RegisterFile/RegisterFile_Monolithic/SelfTest/src/test.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/RegisterFile/RegisterFile_Monolithic/SelfTest/src/test.cpp	(revision 112)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/RegisterFile/RegisterFile_Monolithic/SelfTest/src/test.cpp	(revision 113)
@@ -159,5 +159,5 @@
       while (nb_ack < _param->_nb_word)
 	{
-	  cout << "cycle : " << static_cast<uint32_t> (sc_simulation_time()) << endl;
+	  cout << "cycle : " << static_cast<uint32_t> (simulation_cycle()) << endl;
 
 	  for (uint32_t num_port=0; num_port < _param->_nb_port_write; num_port ++)
@@ -232,5 +232,5 @@
       while (nb_ack < _param->_nb_word)
 	{
-	  cout << "cycle : " << static_cast<uint32_t> (sc_simulation_time()) << endl;
+	  cout << "cycle : " << static_cast<uint32_t> (simulation_cycle()) << endl;
 	  
 	  for (uint32_t num_port=0; num_port < _param->_nb_port_read; num_port ++)
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/RegisterFile/RegisterFile_Multi_Banked/Makefile.defs
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/RegisterFile/RegisterFile_Multi_Banked/Makefile.defs	(revision 112)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/RegisterFile/RegisterFile_Multi_Banked/Makefile.defs	(revision 113)
@@ -2,10 +2,12 @@
 # $Id$
 # 
-# [ Description ]
+# [ Description ]
 # 
 # Makefile
 # 
 
-#-----[ Directory ]----------------------------------------
+ENTITY                          = RegisterFile_Multi_Banked
+
+#-----[ Directory ]----------------------------------------
 DIR_COMPONENT_MORPHEO		= ../../../..
 DIR_MORPHEO			= $(DIR_COMPONENT)/$(DIR_COMPONENT_MORPHEO)
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/RegisterFile/RegisterFile_Multi_Banked/SelfTest/src/test.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/RegisterFile/RegisterFile_Multi_Banked/SelfTest/src/test.cpp	(revision 112)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/RegisterFile/RegisterFile_Multi_Banked/SelfTest/src/test.cpp	(revision 113)
@@ -136,5 +136,5 @@
       while (nb_ack < nb_request)
 	{
-	  cout << "cycle : " << static_cast<uint32_t> (sc_simulation_time()) << endl;
+	  cout << "cycle : " << static_cast<uint32_t> (simulation_cycle()) << endl;
 
 	  for (uint32_t num_port=0; num_port < _param->_nb_port_write; num_port ++)
@@ -183,5 +183,5 @@
 	while (nb_ack < nb_request)
 	  {
-	    cout << "cycle : " << static_cast<uint32_t> (sc_simulation_time()) << endl;
+	    cout << "cycle : " << static_cast<uint32_t> (simulation_cycle()) << endl;
 	    
 	    for (uint32_t num_port=0; num_port < _param->_nb_port_read; num_port ++)
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/RegisterFile/SelfTest/src/test.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/RegisterFile/SelfTest/src/test.cpp	(revision 112)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/RegisterFile/SelfTest/src/test.cpp	(revision 113)
@@ -136,5 +136,5 @@
       while (nb_ack < nb_request)
 	{
-	  cout << "cycle : " << static_cast<uint32_t> (sc_simulation_time()) << endl;
+	  cout << "cycle : " << static_cast<uint32_t> (simulation_cycle()) << endl;
 
 	  for (uint32_t num_port=0; num_port < _param->_nb_port_write; num_port ++)
@@ -184,5 +184,5 @@
 	  while (nb_ack < nb_request)
 	    {
-	      cout << "cycle : " << static_cast<uint32_t> (sc_simulation_time()) << endl;
+	      cout << "cycle : " << static_cast<uint32_t> (simulation_cycle()) << endl;
 	      
 	      for (uint32_t num_port=0; num_port < _param->_nb_port_read; num_port ++)
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Select/Select_Priority_Fixed/Makefile.defs
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Select/Select_Priority_Fixed/Makefile.defs	(revision 112)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Select/Select_Priority_Fixed/Makefile.defs	(revision 113)
@@ -2,10 +2,12 @@
 # $Id$
 # 
-# [ Description ]
+# [ Description ]
 # 
 # Makefile
 # 
 
-#-----[ Directory ]----------------------------------------
+ENTITY                          = Select_Priority_Fixed
+
+#-----[ Directory ]----------------------------------------
 DIR_COMPONENT_MORPHEO		= ../../../..
 DIR_MORPHEO			= $(DIR_COMPONENT)/$(DIR_COMPONENT_MORPHEO)
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Select/Select_Priority_Fixed/SelfTest/src/test.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Select/Select_Priority_Fixed/SelfTest/src/test.cpp	(revision 112)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Select/Select_Priority_Fixed/SelfTest/src/test.cpp	(revision 113)
@@ -108,7 +108,7 @@
  
   sc_start(0);
-//cout << "{"+toString(static_cast<uint32_t>(sc_simulation_time()))+"} Initialisation" << endl;
+//cout << "{"+toString(static_cast<uint32_t>(simulation_cycle()))+"} Initialisation" << endl;
 
-  cout << "{"+toString(static_cast<uint32_t>(sc_simulation_time()))+"} Loop of Test" << endl;
+  cout << "{"+toString(static_cast<uint32_t>(simulation_cycle()))+"} Loop of Test" << endl;
 
   for (uint32_t iteration=0; iteration<NB_ITERATION; iteration ++)
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Shifter/Makefile.defs
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Shifter/Makefile.defs	(revision 112)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Shifter/Makefile.defs	(revision 113)
@@ -2,10 +2,12 @@
 # $Id$
 # 
-# [ Description ]
+# [ Description ]
 # 
 # Makefile
 # 
 
-#-----[ Directory ]----------------------------------------
+ENTITY                          = Shifter
+
+#-----[ Directory ]----------------------------------------
 DIR_COMPONENT_MORPHEO		= ../../..
 DIR_MORPHEO			= $(DIR_COMPONENT)/$(DIR_COMPONENT_MORPHEO)
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Shifter/SelfTest/configuration.cfg
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Shifter/SelfTest/configuration.cfg	(revision 113)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Shifter/SelfTest/configuration.cfg	(revision 113)
@@ -0,0 +1,7 @@
+Shifter
+16	16	*4	# size_data  
+1	2	+1	# nb_port    
+0	2	+1	# shift_value
+0	0	+1	# rotate     
+0	2	+1	# direction  
+0	2	+1	# carry      
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Shifter/SelfTest/src/test.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Shifter/SelfTest/src/test.cpp	(revision 112)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Shifter/SelfTest/src/test.cpp	(revision 113)
@@ -147,5 +147,5 @@
 	  if (param._have_shift_logic_left)
 	    {
-	      cout << "{" << static_cast<uint32_t>(sc_simulation_time()) << "} Test    Shift   Left  Logic" << endl;
+	      cout << "{" << static_cast<uint32_t>(simulation_cycle()) << "} Test    Shift   Left  Logic" << endl;
 	      direction = _left ;
 	      type      = _shift;
@@ -156,5 +156,5 @@
 	  else
 	    {
-	      cout << "{" << static_cast<uint32_t>(sc_simulation_time()) << "} No Test Shift   Left  Logic" << endl;
+	      cout << "{" << static_cast<uint32_t>(simulation_cycle()) << "} No Test Shift   Left  Logic" << endl;
 	      continue;
 	    }
@@ -162,5 +162,5 @@
 	  if (param._have_shift_logic_right)
 	    {
-	      cout << "{" << static_cast<uint32_t>(sc_simulation_time()) << "} Test    Shift   Right Logic" << endl;
+	      cout << "{" << static_cast<uint32_t>(simulation_cycle()) << "} Test    Shift   Right Logic" << endl;
 	      direction = _right;
 	      type      = _shift;
@@ -171,5 +171,5 @@
 	  else
 	    {
-	      cout << "{" << static_cast<uint32_t>(sc_simulation_time()) << "} No Test Shift   Right Logic" << endl;
+	      cout << "{" << static_cast<uint32_t>(simulation_cycle()) << "} No Test Shift   Right Logic" << endl;
 	      continue;
 	    }
@@ -177,5 +177,5 @@
 	  if (param._have_shift_arithmetic_left)
 	    {
-	      cout << "{" << static_cast<uint32_t>(sc_simulation_time()) << "} Test    Shift   Left  Arithmetic" << endl;
+	      cout << "{" << static_cast<uint32_t>(simulation_cycle()) << "} Test    Shift   Left  Arithmetic" << endl;
 	      direction = _left      ;
 	      type      = _shift     ;
@@ -186,5 +186,5 @@
 	  else
 	    {
-	      cout << "{" << static_cast<uint32_t>(sc_simulation_time()) << "} No Test Shift   Left  Arithmetic" << endl;
+	      cout << "{" << static_cast<uint32_t>(simulation_cycle()) << "} No Test Shift   Left  Arithmetic" << endl;
 	      continue;
 	    }
@@ -192,5 +192,5 @@
 	  if (param._have_shift_arithmetic_right)
 	    {
-	      cout << "{" << static_cast<uint32_t>(sc_simulation_time()) << "} Test    Shift   Right Arithmetic" << endl;
+	      cout << "{" << static_cast<uint32_t>(simulation_cycle()) << "} Test    Shift   Right Arithmetic" << endl;
 	      direction = _right;
 	      type      = _shift;
@@ -201,5 +201,5 @@
 	  else
 	    {
-	      cout << "{" << static_cast<uint32_t>(sc_simulation_time()) << "} No Test Shift   Right Arithmetic" << endl;
+	      cout << "{" << static_cast<uint32_t>(simulation_cycle()) << "} No Test Shift   Right Arithmetic" << endl;
 	      continue;
 	    }
@@ -207,5 +207,5 @@
 	  if ( param._have_rotate_left)
 	    {
-	      cout << "{" << static_cast<uint32_t>(sc_simulation_time()) << "} Test    Rotate  Left" << endl;
+	      cout << "{" << static_cast<uint32_t>(simulation_cycle()) << "} Test    Rotate  Left" << endl;
 	      direction = _left  ;
 	      type      = _rotate;
@@ -216,5 +216,5 @@
 	  else
 	    {
-	      cout << "{" << static_cast<uint32_t>(sc_simulation_time()) << "} No Test Rotate  Left" << endl;
+	      cout << "{" << static_cast<uint32_t>(simulation_cycle()) << "} No Test Rotate  Left" << endl;
 	      continue;
 	    }
@@ -222,5 +222,5 @@
 	  if (param._have_rotate_right)
 	    {
-	      cout << "{" << static_cast<uint32_t>(sc_simulation_time()) << "} Test    Rotate  Right" << endl;
+	      cout << "{" << static_cast<uint32_t>(simulation_cycle()) << "} Test    Rotate  Right" << endl;
 	      direction = _right;
 	      type      = _rotate;
@@ -231,5 +231,5 @@
 	  else
 	    {
-	      cout << "{" << static_cast<uint32_t>(sc_simulation_time()) << "} No Test Rotate  Right" << endl;
+	      cout << "{" << static_cast<uint32_t>(simulation_cycle()) << "} No Test Rotate  Right" << endl;
 	      continue;
 	    }
@@ -283,5 +283,5 @@
 	      sc_start(0);
 	      
-	      cout << "{" << static_cast<uint32_t>(sc_simulation_time()) << "}" << endl;
+	      cout << "{" << static_cast<uint32_t>(simulation_cycle()) << "}" << endl;
 	      
 	      for (uint32_t i=0; i<param._nb_port; i++)
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Sort/Makefile.defs
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Sort/Makefile.defs	(revision 112)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Sort/Makefile.defs	(revision 113)
@@ -7,4 +7,6 @@
 # 
 
+ENTITY                          = Sort
+
 #-----[ Directory ]----------------------------------------
 DIR_COMPONENT_MORPHEO		= ../../..
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Victim/Makefile.defs
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Victim/Makefile.defs	(revision 112)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Victim/Makefile.defs	(revision 113)
@@ -7,4 +7,6 @@
 # 
 
+ENTITY                          = Victim
+
 #-----[ Directory ]----------------------------------------
 DIR_COMPONENT_MORPHEO		= ../../..
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Victim/Victim_Pseudo_LRU/Makefile.defs
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Victim/Victim_Pseudo_LRU/Makefile.defs	(revision 112)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Victim/Victim_Pseudo_LRU/Makefile.defs	(revision 113)
@@ -2,10 +2,12 @@
 # $Id$
 # 
-# [ Description ]
+# [ Description ]
 # 
 # Makefile
 # 
 
-#-----[ Directory ]----------------------------------------
+ENTITY                          = Victim_Pseudo_LRU
+
+#-----[ Directory ]----------------------------------------
 DIR_COMPONENT_MORPHEO		= ../../../..
 DIR_MORPHEO			= $(DIR_COMPONENT)/$(DIR_COMPONENT_MORPHEO)
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Victim/Victim_Pseudo_LRU/SelfTest/src/test.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Victim/Victim_Pseudo_LRU/SelfTest/src/test.cpp	(revision 112)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Victim/Victim_Pseudo_LRU/SelfTest/src/test.cpp	(revision 113)
@@ -119,5 +119,5 @@
     for (uint32_t k=0; k<param._nb_entity; k++)
       {
-	cout << "time : " << static_cast<uint32_t>(sc_simulation_time()) << endl;
+	cout << "time : " << static_cast<uint32_t>(simulation_cycle()) << endl;
 	for (uint32_t i=0; i<param._nb_access; i++)
 	  {
@@ -165,5 +165,5 @@
 	{
 	  
-	  cout << "time : " << static_cast<uint32_t>(sc_simulation_time()) << endl;
+	  cout << "time : " << static_cast<uint32_t>(simulation_cycle()) << endl;
 	  for (uint32_t i=0; i<param._nb_access; i++)
 	    {
